import { Compiler } from 'webpack';
interface Option<T> {
    onBuildStart?: T;
    onBuildEnd?: T;
    onBuildExit?: T;
    dev?: boolean;
    verbose?: boolean;
    safe?: boolean;
}
export default class WebpackCommandPlugin {
    protected options: Option<string[]>;
    constructor(options: Option<string>);
    /**
     * 处理传入参数
     * @param options
     */
    private validateInput;
    /**
     * webpack 钩子函数
     * @param compiler
     */
    apply(compiler: Compiler): void;
    /**
     * 执行shell
     * @param commands
     */
    private runCommands;
    /**
     * 处理spawn方法参数
     * @param script
     */
    private serializeScript;
    /**
     * 向主进程输出结果
     * @param proc
     */
    private spreadStdoutAndStdErr;
    /**
     * 错误处理
     * @param error
     */
    private throwError;
}
export {};
